<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

/**
ALTER TABLE `forum_forums` ADD `close` TINYINT( 1 ) NOT NULL ,
ADD `template` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL

ALTER TABLE `forum_posts` CHANGE `edit` `edit` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT ''

CREATE TABLE `forum_logs` (`time` int( 11 ) NOT NULL ,
`user_id` int( 11 ) NOT NULL ,
`text` text NOT NULL ,
`browser` varchar( 250 ) NOT NULL ,
`ip` bigint( 11 ) NOT NULL ,
`ip_via_proxy` bigint( 11 ) NOT NULL 
) ENGINE = MYISAM DEFAULT CHARSET = utf8;
*/
require('../incfiles/lib/class.upload.php');

$textl .= ' | Изменение';
require_once('../incfiles/head.php');

if (!$forum){
  echo functions::display_error('Отсутствует идентификатор форума!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

if ($rights < 9){
  echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

$tree = array('<a href="index.php">Форум</a>', '<a href="index.php?forum='.$forum.'">'.functions::checkout($forumRes['forumname']).'</a>', 'Изменение форума');
echo '<div class="phdr">'.functions::display_menu($tree).'</div>';

$name = $_POST['forumname'] ? trim($_POST['forumname']) : $forumRes['forumname'];
$text = isset($_POST['desc']) ? trim($_POST['desc']) : $forumRes['desc'];
$type = $forumRes['count'] == 0 ? (isset($_POST['type']) ? intval($_POST['type']) : $forumRes['type']) : $forumRes['type'];
$keyw = $_POST['keyw'] ? trim($_POST['keyw']) : $forumRes['keyw'];
$descw = $_POST['descw'] ? trim($_POST['descw']) : $forumRes['descw'];
$close = $_POST['close'] && $type ? intval($_POST['close']) : 0;
$template = isset($_POST['template']) ? trim($_POST['template']) : $forumRes['template'];

if (isset($_GET['delicon'])){
  unlink('../files/forum/icons/'.$forum.'.png');
}

if (isset($_POST['send'])){

  if (empty($name))
    $error .= 'Не введено название!<br />';

  if (mb_strlen($name) > 100)
    $error .= 'Слишком длинное название!<br />';

  if (!$error){
    mysql_query("UPDATE `forum_forums` SET
    `type` = '$type',
    `forumname` = '".mysql_real_escape_string($name)."',
    `desc` = '".mysql_real_escape_string($text)."',
    `keyw` = '".mysql_real_escape_string($keyw)."',
    `descw` = '".mysql_real_escape_string($descw)."',
    `close` = '$close',
    `template` = '".mysql_real_escape_string($template)."'
    WHERE `forum` = '$forum'
    ");

    if ($forumRes['type'] == 1 && trim($_POST['forumname']) != $forumRes['forumname']){
      mysql_query("UPDATE `forum_topics` SET `forumname` = '".mysql_real_escape_string(trim($name))."' WHERE `forum` = '$forum' ");
    }
    
    $icon = '';
    
    $handle = new upload($_FILES['icon'], 'ru_RU');
    if ($handle->uploaded){
      $handle->file_new_name_body = $forum;
      $handle->allowed = array('image/jpeg', 'image/gif', 'image/png');
      $handle->file_overwrite = true;
      $handle->image_convert = 'png';
      $handle->process('../files/forum/icons/');
      if ($handle->processed){
        $icon = '<br />Иконка загружена';
      }
    }
    
    header ('Refresh:1; URL=index.php?forum='.$forum);
    echo '<div class="gmenu">Форум изменен'.$icon.'<br /><a href="index.php?forum='.$forum.'">Далее</a></div>';
    require_once('../incfiles/end.php');
    exit;
  }
}

if ($error)
  echo functions::display_error($error);

echo '<form id="form" name="form" action="index.php?act=editforum&amp;forum='.$forum.'" method="post" enctype="multipart/form-data">'.
'<div class="rmenu">Название <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Максимально 100 символов" />:<br /><input type="text" name="forumname" value="'.text($name).'" /><br />';
if ($forumRes['count'] == 0)
  echo '<select name="type"><option value="0">Для форумов</option><option value="1"'.($type == 1 ? ' selected="selected"' : '').'>Для тем</option></select><br />';
if ($type == 1)
  echo '<label><input type="checkbox" name="close" value="1"'.($close ? ' checked="checked"' : '').' /> Запретить создание тем пользователями</label><br />';  
echo 'Описание:<br />'.bbcode::auto_bb('form', 'desc').'<textarea name="desc" cols="30" rows="'.$set_user['field_h'].'">'.text($text).'</textarea><br />'.
'Шаблон сообщения <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Для форума с темами" />:<br />'.bbcode::auto_bb('form', 'template').'<textarea name="template" cols="30" rows="'.$set_user['field_h'].'">'.text($_POST['template']).'</textarea><br />'.
'Ключевые слова (метатег):<br /><textarea name="keyw">'.text($keyw).'</textarea><br />'.
'Описание (метатег):<br /><textarea name="descw">'.text($descw).'</textarea><br />';
if (file_exists('../files/forum/icons/'.$forum.'.png'))
  echo '<img src="../files/forum/icons/'.$forumRes['forum'].'.png" alt="" /> <a href="index.php?act=editforum&amp;forum='.$forum.'&amp;delicon">Удалить</a><br />';
echo ''.
'<input type="submit" name="send" value="Сохранить" /></div></form>';